using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SLZ_4
{
    public partial class ConfigPassword : Form
    {
        public ConfigPassword()
        {
            InitializeComponent();
        }

        public void clear()
        {
            uiTextOldPwd.Text = "";
            uiTextNewPwd.Text = "";
        }
        private void uiButtonSave_Click(object sender, EventArgs e)
        {
            if (uiTextOldPwd.Text != FormMain.form.logonForm.password)
            {
                MessageBox.Show("请输入正确的原密码！");
                return;
            }
            FormMain.form.logonForm.password = uiTextNewPwd.Text;
            Config.savePassword(uiTextNewPwd.Text);
            MessageBox.Show("密码已经修改!");
            Close();
        }
    }
}
